--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_owner_001_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_owner_001_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -51,8 +51,8 @@
 
 function cleanup
 {
-	[[ -d $basedir ]] && $RM -rf $basedir
-	[[ -f $TESTDIR/$ARCHIVEFILE ]] && log_must $RM -f $TESTDIR/$ARCHIVEFILE
+	[[ -d $basedir ]] && rm -rf $basedir
+	[[ -f $TESTDIR/$ARCHIVEFILE ]] && log_must rm -f $TESTDIR/$ARCHIVEFILE
 	return 0
 }
 
@@ -71,7 +71,7 @@
 		log_fail "node are not defined."
 	fi
 
-	$ECHO $($LS -dl $node | $AWK '{print $3}')
+	echo $(ls -dl $node | awk '{print $3}')
 }
 
 #
@@ -85,7 +85,7 @@
 		log_fail "node are not defined."
 	fi
 
-	$ECHO $($LS -dl $node | $AWK '{print $4}')
+	echo $(ls -dl $node | awk '{print $4}')
 }
 
 
@@ -106,7 +106,7 @@
 	if [[ $? -eq 0 ]]; then
 		value=${value##*\(}
 		value=${value%%\)*}
-		$ECHO $value
+		echo $value
 	else
 		log_fail "Invalid UID (uid)."
 	fi
@@ -124,12 +124,12 @@
 		log_fail "user, node are not defined."
 	fi
 
-	$SU $user -c "$CHOWN $expect_owner $node"
+	su $user -c "chown $expect_owner $node"
 	ret=$?
 	new_owner=$(get_owner $node)
 
 	if [[ $new_owner != $old_owner ]]; then
-		$TAR xpf $TESTDIR/$ARCHIVEFILE
+		tar xpf $TESTDIR/$ARCHIVEFILE
 	fi
 
 	if [[ $ret -eq 0 ]]; then
@@ -160,12 +160,12 @@
 		log_fail "user, node are not defined."
 	fi
 
-	$SU $user -c "$CHGRP $expect_group $node"
+	su $user -c "chgrp $expect_group $node"
 	ret=$?
 	new_group=$(get_group $node)
 
 	if [[ $new_group != $old_group ]]; then
-		$TAR xpf $TESTDIR/$ARCHIVEFILE
+		tar xpf $TESTDIR/$ARCHIVEFILE
 	fi
 
 	if [[ $ret -eq 0 ]]; then
@@ -271,14 +271,14 @@
 
 	for flag in $a_flag; do
 		for acl_t in $a_access; do
-			log_must $SU $user -c "$CHMOD A+$flag:$acl_t $node"
+			log_must su $user -c "chmod A+$flag:$acl_t $node"
 
-			$TAR cpf $TESTDIR/$ARCHIVEFILE basedir
+			tar cpf $TESTDIR/$ARCHIVEFILE basedir
 
 			check_chmod_results $user $node $flag $acl_t $g_usr \
 			    $o_usr
 
-			log_must $SU $user -c "$CHMOD A0- $node"
+			log_must su $user -c "chmod A0- $node"
 		done
 	done
 }
@@ -289,17 +289,17 @@
 	typeset user=$2
 	typeset group=$3
 
-	$RM -rf $base_node
+	rm -rf $base_node
 
-	log_must $MKDIR -p $base_node
-	log_must $CHOWN $user:$group $base_node
+	log_must mkdir -p $base_node
+	log_must chown $user:$group $base_node
 
 	# Prepare all files/sub-dirs for testing.
-	log_must $SU $user -c "$TOUCH $file"
-	log_must $SU $user -c "$CHMOD 444 $file"
-	log_must $SU $user -c "$MKDIR -p $dir"
-	log_must $SU $user -c "$CHMOD 444 $dir"
-	log_must $SU $user -c "$CHMOD 555 $base_node"
+	log_must su $user -c "touch $file"
+	log_must su $user -c "chmod 444 $file"
+	log_must su $user -c "mkdir -p $dir"
+	log_must su $user -c "chmod 444 $dir"
+	log_must su $user -c "chmod 555 $base_node"
 }
 
 typeset ARCHIVEFILE=archive.tar
@@ -313,12 +313,12 @@
 setup_test_files $basedir 'root' 'root'
 test_chmod_basic_access 'root' $file $ZFS_ACL_ADMIN  $ZFS_ACL_OTHER1
 test_chmod_basic_access 'root' $dir $ZFS_ACL_ADMIN  $ZFS_ACL_OTHER1
-$RM -rf $basedir
+rm -rf $basedir
 
 setup_test_files $basedir $ZFS_ACL_STAFF1 $ZFS_ACL_STAFF_GROUP
 test_chmod_basic_access $ZFS_ACL_STAFF1 $file $ZFS_ACL_STAFF2 $ZFS_ACL_OTHER1
 test_chmod_basic_access $ZFS_ACL_STAFF1 $dir $ZFS_ACL_STAFF2 $ZFS_ACL_OTHER1
-$RM -rf $basedir
+rm -rf $basedir
 
 log_pass "Verify that the chown/chgrp could take owner/group " \
     "while permission is granted."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwacl_001_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwacl_001_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -59,7 +63,7 @@
 
 	shift
 	for user in $@; do
-		chgusr_exec $user $LS -vd $node > /dev/null 2>&1
+		chgusr_exec $user ls -vd $node > /dev/null 2>&1
 		ret=$?
 		(( ret != 0 )) && return $ret
 
@@ -81,7 +85,7 @@
 		ret=$?;
 		(( ret != 0 )) && return $ret
 
-		chgusr_exec $user $CHMOD A0+owner@:read_data:allow $node
+		chgusr_exec $user chmod A0+owner@:read_data:allow $node
 		ret=$?
 		(( ret != 0 )) && return $ret
 
@@ -89,7 +93,7 @@
 		ret=$?
 		(( ret != 0 )) && return $ret
 
-		chgusr_exec $user $CHMOD A0- $node
+		chgusr_exec $user chmod A0- $node
 		ret=$?
 		(( ret != 0 )) && return $ret
 
@@ -109,10 +113,10 @@
 
 	for acc in allow deny; do
 		log_must usr_exec \
-			$CHMOD A0+owner@:read_acl/write_acl:$acc $node
+			chmod A0+owner@:read_acl/write_acl:$acc $node
 		log_must read_ACL $node $ZFS_ACL_CUR_USER
 		log_must write_ACL $node $ZFS_ACL_CUR_USER
-		log_must usr_exec $CHMOD A0- $node
+		log_must usr_exec chmod A0- $node
 	done
 }
 
@@ -127,15 +131,15 @@
 		grp_usr=$ZFS_ACL_STAFF2
 	fi
 
-	log_must usr_exec $CHMOD A0+group@:read_acl/write_acl:allow $node
+	log_must usr_exec chmod A0+group@:read_acl/write_acl:allow $node
 	log_must read_ACL $node $grp_usr
 	log_must write_ACL $node $grp_usr
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
 
-	log_must usr_exec $CHMOD A0+group@:read_acl/write_acl:deny $node
+	log_must usr_exec chmod A0+group@:read_acl/write_acl:deny $node
 	log_mustnot read_ACL $node $grp_usr
 	log_mustnot write_ACL $node $grp_usr
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
 }
 
 function check_everyone #<node>
@@ -151,12 +155,12 @@
 		fi
 
 		log_must usr_exec \
-			$CHMOD A0+everyone@:read_acl/write_acl:$flag $node
+			chmod A0+everyone@:read_acl/write_acl:$flag $node
 
 		$log read_ACL $node $ZFS_ACL_OTHER1 $ZFS_ACL_OTHER2
 		$log write_ACL $node $ZFS_ACL_OTHER1 $ZFS_ACL_OTHER2
 
-		log_must usr_exec $CHMOD A0- $node
+		log_must usr_exec chmod A0- $node
 	done
 }
 
@@ -164,9 +168,9 @@
 {
 	typeset node=$1
 
-	log_must usr_exec $CHMOD A0+everyone@:read_acl/write_acl:deny $node
+	log_must usr_exec chmod A0+everyone@:read_acl/write_acl:deny $node
 	log_must usr_exec \
-		$CHMOD A0+user:$ZFS_ACL_OTHER1:read_acl/write_acl:allow $node
+		chmod A0+user:$ZFS_ACL_OTHER1:read_acl/write_acl:allow $node
 
 	# The specified user can read and write acl
 	log_must read_ACL $node $ZFS_ACL_OTHER1
@@ -178,8 +182,8 @@
 	log_mustnot \
 		write_ACL $node $ZFS_ACL_ADMIN $ZFS_ACL_STAFF2 $ZFS_ACL_OTHER2
 
-	log_must usr_exec $CHMOD A0- $node
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
+	log_must usr_exec chmod A0- $node
 }
 
 function check_spec_group #<node>
@@ -186,8 +190,8 @@
 {
 	typeset node=$1
 
-	log_must usr_exec $CHMOD A0+everyone@:read_acl/write_acl:deny $node
-	log_must usr_exec $CHMOD \
+	log_must usr_exec chmod A0+everyone@:read_acl/write_acl:deny $node
+	log_must usr_exec chmod \
 		A0+group:$ZFS_ACL_OTHER_GROUP:read_acl/write_acl:allow $node
 
 	# The specified group can read and write acl
@@ -203,9 +207,9 @@
 {
 	typeset node=$1
 
-	log_must usr_exec $CHMOD \
+	log_must usr_exec chmod \
 		A0+group:$ZFS_ACL_OTHER_GROUP:read_acl/write_acl:deny $node
-	log_must usr_exec $CHMOD \
+	log_must usr_exec chmod \
 		A0+user:$ZFS_ACL_OTHER1:read_acl/write_acl:allow $node
 	log_must read_ACL $node $ZFS_ACL_OTHER1
 	log_must write_ACL $node $ZFS_ACL_OTHER1
@@ -212,8 +216,8 @@
 	log_mustnot read_ACL $node $ZFS_ACL_OTHER2
 	log_mustnot write_ACL $node $ZFS_ACL_OTHER2
 
-	log_must usr_exec $CHMOD A0- $node
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
+	log_must usr_exec chmod A0- $node
 }
 
 set -A func_name check_owner \
@@ -226,8 +230,8 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	log_must usr_exec $TOUCH $testfile
-	log_must usr_exec $MKDIR $testdir
+	log_must usr_exec touch $testfile
+	log_must usr_exec mkdir $testdir
 
 	typeset func node
 	for func in ${func_name[@]}; do
@@ -236,7 +240,7 @@
 		done
 	done
 
-	log_must usr_exec $RM -rf $testfile $testdir
+	log_must usr_exec rm -rf $testfile $testdir
 done
 
 log_pass "Verify chmod A[number]{+|-|=} read_acl/write_acl passed."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_001_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_001_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -80,9 +80,9 @@
 
 	# Invoke chmod A[number]{+|-|=}<acl-specification> file|dir
 	if [[ $opt == A[0-9]*+ || $opt == A[0-9]*= ]]; then
-		log_must usr_exec $CHMOD "$opt$ace" "$node"
+		log_must usr_exec chmod "$opt$ace" "$node"
 	else
-		log_must usr_exec $CHMOD "$opt" "$node"
+		log_must usr_exec chmod "$opt" "$node"
 	fi
 
 	# Get the current ACE count and specified ACE
@@ -93,7 +93,7 @@
 	# Compare with expected results
 	if [[ $opt == A[0-9]*+ || $opt == A[0-9]*= ]]; then
 		if [[ "$num:$ace" != "$cur_ace" ]]; then
-			log_fail "FAIL: $CHMOD $opt$ace $node"
+			log_fail "FAIL: chmod $opt$ace $node"
 		fi
 	fi
 	if [[ "$expect_count" != "$cur_count" ]]; then
@@ -108,15 +108,15 @@
 		for num in $nums; do
 			for ace in $file_ACEs; do
 				ls -l $TESTDIR
-				log_must usr_exec $TOUCH $testfile
+				log_must usr_exec touch $testfile
 				test_chmod_ACE_list $opt $num $ace $testfile
-				log_must $RM -f $testfile
+				log_must rm -f $testfile
 			done
 			for ace in $dir_ACEs; do
 				ls -l $TESTDIR
-				log_must usr_exec $MKDIR -p $testdir
+				log_must usr_exec mkdir -p $testdir
 				test_chmod_ACE_list $opt $num $ace $testdir
-				log_must $RM -rf $testdir
+				log_must rm -rf $testdir
 			done
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_002_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_002_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -189,25 +193,25 @@
 	typeset cur_ace=/tmp/cur_ace.$$
 
 	for operator in "A0+" "A0="; do
-		log_must usr_exec $CHMOD $init_mask $node
+		log_must usr_exec chmod $init_mask $node
 		init_mode=$(get_mode $node)
 		init_mode=${init_mode:1:9}
-		log_must usr_exec eval "$LS -vd $node > $orig_ace"
+		log_must usr_exec eval "ls -vd $node > $orig_ace"
 
 		# To "A=", firstly add one ACE which can't modify map
 		if [[ $operator == "A0=" ]]; then
-			log_must $CHMOD A0+user:$ZFS_ACL_OTHER1:execute:deny \
+			log_must chmod A0+user:$ZFS_ACL_OTHER1:execute:deny \
 				$node
 		fi
-		log_must usr_exec $CHMOD $operator$acl_spec $node
+		log_must usr_exec chmod $operator$acl_spec $node
 		check_test_result \
 			$init_mode $node $acl_flag $acl_access $acl_type
 
 		# Check "chmod A-"
-		log_must usr_exec $CHMOD A0- $node
-		log_must usr_exec eval "$LS -vd $node > $cur_ace"
+		log_must usr_exec chmod A0- $node
+		log_must usr_exec eval "ls -vd $node > $cur_ace"
 
-		if $DIFF $orig_ace $cur_ace; then
+		if diff $orig_ace $cur_ace; then
 			log_note "SUCCESS: current ACEs are equal to " \
 				"original ACEs. 'chmod A-' succeeded."
 		else
@@ -215,8 +219,8 @@
 		fi
 	done
 
-	[[ -f $orig_ace ]] && log_must usr_exec $RM -f $orig_ace
-	[[ -f $cur_ace ]] && log_must usr_exec $RM -f $cur_ace
+	[[ -f $orig_ace ]] && log_must usr_exec rm -f $orig_ace
+	[[ -f $cur_ace ]] && log_must usr_exec rm -f $cur_ace
 }
 
 for user in root $ZFS_ACL_STAFF1; do
@@ -224,13 +228,13 @@
 
 	typeset -i loop_cnt=20
 	while (( loop_cnt > 0 )); do
-		log_must usr_exec $TOUCH $testfile
+		log_must usr_exec touch $testfile
 		test_chmod_map $testfile
-		log_must $RM -f $testfile
+		log_must rm -f $testfile
 
-		log_must usr_exec $MKDIR $testdir
+		log_must usr_exec mkdir $testdir
 		test_chmod_map $testdir
-		log_must $RM -rf $testdir
+		log_must rm -rf $testdir
 
 		(( loop_cnt -= 1 ))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_003_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_003_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -105,10 +109,10 @@
 		for access in ${a_access[@]}; do
 			for tp in allow deny; do
 				acl_spec="$flag:$access:$tp"
-				log_must usr_exec $CHMOD A+$acl_spec $node
+				log_must usr_exec chmod A+$acl_spec $node
 				check_chmod_results \
 					$node $acl_spec $g_usr $o_usr
-				log_must usr_exec $CHMOD A0- $node
+				log_must usr_exec chmod A0- $node
 			done
 		done
 	done
@@ -118,12 +122,12 @@
 while (( i < ${#users[@]} )); do
 	log_must set_cur_usr ${users[i]}
 
-	log_must usr_exec $TOUCH $testfile
+	log_must usr_exec touch $testfile
 	test_chmod_basic_access $testfile ${users[((i+1))]} ${users[((i+2))]}
-	log_must usr_exec $MKDIR $testdir
+	log_must usr_exec mkdir $testdir
 	test_chmod_basic_access $testdir ${users[((i+1))]} ${users[((i+2))]}
 
-	log_must usr_exec $RM -rf $testfile $testdir
+	log_must usr_exec rm -rf $testfile $testdir
 
 	(( i += 3 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_004_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_rwx_004_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -87,25 +87,25 @@
 		rflag=allow
 	fi
 
-	log_must usr_exec $CHMOD A+everyone@:$access:$flag $node
-	log_must usr_exec $CHMOD A+user:$ZFS_ACL_OTHER1:$access:$rflag $node
+	log_must usr_exec chmod A+everyone@:$access:$flag $node
+	log_must usr_exec chmod A+user:$ZFS_ACL_OTHER1:$access:$rflag $node
 	check_access $log $ZFS_ACL_OTHER1 $node $access $rflag
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
 
 	log_must usr_exec \
-		$CHMOD A+group:$ZFS_ACL_OTHER_GROUP:$access:$rflag $node
+		chmod A+group:$ZFS_ACL_OTHER_GROUP:$access:$rflag $node
 	check_access $log $ZFS_ACL_OTHER1 $node $access $rflag
 	check_access $log $ZFS_ACL_OTHER2 $node $access $rflag
-	log_must usr_exec $CHMOD A0- $node
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
+	log_must usr_exec chmod A0- $node
 
 	log_must usr_exec \
-		$CHMOD A+group:$ZFS_ACL_OTHER_GROUP:$access:$flag $node
-	log_must usr_exec $CHMOD A+user:$ZFS_ACL_OTHER1:$access:$rflag $node
+		chmod A+group:$ZFS_ACL_OTHER_GROUP:$access:$flag $node
+	log_must usr_exec chmod A+user:$ZFS_ACL_OTHER1:$access:$rflag $node
 	$log rwx_node $ZFS_ACL_OTHER1 $node $access
 	$rlog rwx_node $ZFS_ACL_OTHER2 $node $access
-	log_must usr_exec $CHMOD A0- $node
-	log_must usr_exec $CHMOD A0- $node
+	log_must usr_exec chmod A0- $node
+	log_must usr_exec chmod A0- $node
 }
 
 log_assert "Verify that explicit ACL setting to specified user or group will" \
@@ -119,9 +119,9 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	log_must usr_exec $TOUCH $testfile
-	log_must usr_exec $MKDIR $testdir
-	log_must usr_exec $CHMOD 755 $testfile $testdir
+	log_must usr_exec touch $testfile
+	log_must usr_exec mkdir $testdir
+	log_must usr_exec chmod 755 $testfile $testdir
 
 	for node in $testfile $testdir; do
 		for access in ${a_access[@]}; do
@@ -131,7 +131,7 @@
 		done
 	done
 
-	log_must usr_exec $RM -rf $testfile $testdir
+	log_must usr_exec rm -rf $testfile $testdir
 done
 
 log_pass "Explicit ACL setting to specified user or group will override " \
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_xattr_001_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_xattr_001_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -50,7 +54,7 @@
 	cleanup_test_files $TESTDIR/basedir
 
 	if [[ -e $TESTDIR/$ARCHIVEFILE ]]; then
-		log_must $RM -f $TESTDIR/$ARCHIVEFILE
+		log_must rm -f $TESTDIR/$ARCHIVEFILE
 	fi
 
 	return 0
@@ -88,13 +92,13 @@
 	fi
 
 	if [[ $acl_t == *read_xattr* ]]; then
-		chgusr_exec $user $RUNAT $node $LS > /dev/null 2>&1; ret=$?
+		chgusr_exec $user runat $node ls > /dev/null 2>&1; ret=$?
 	elif [[ $acl_t == *write_xattr* ]]; then
-		chgusr_exec $user $RUNAT $node $CP $MYTESTFILE attr.1 ; ret=$?
+		chgusr_exec $user runat $node cp $MYTESTFILE attr.1 ; ret=$?
 
 		if [[ $ret -eq 0 ]]; then
 			log_must cleanup_test_files $TESTDIR/basedir
-			log_must $TAR xpf@ $TESTDIR/$ARCHIVEFILE
+			log_must tar xpf@ $TESTDIR/$ARCHIVEFILE
 		fi
 	fi
 
@@ -149,14 +153,14 @@
 
 	for flag in ${a_flag[@]}; do
 		for acl_t in "${a_access[@]}"; do
-			log_must usr_exec $CHMOD A+$flag:$acl_t $node
+			log_must usr_exec chmod A+$flag:$acl_t $node
 
-			log_must $TAR cpf@ $TESTDIR/$ARCHIVEFILE basedir
+			log_must tar cpf@ $TESTDIR/$ARCHIVEFILE basedir
 
 			check_chmod_results "$node" "$flag" \
 				"$acl_t" "$g_usr" "$o_usr"
 
-			log_must usr_exec $CHMOD A0- $node
+			log_must usr_exec chmod A0- $node
 		done
 	done
 }
@@ -169,8 +173,8 @@
 
 	cleanup_test_files $base_node
 
-	log_must $MKDIR -p $base_node
-	log_must $CHOWN $user:$group $base_node
+	log_must mkdir -p $base_node
+	log_must chown $user:$group $base_node
 
 	log_must set_cur_usr $user
 
@@ -180,17 +184,17 @@
 
 	dir0=$base_node/testdir_rm
 
-	log_must usr_exec $TOUCH $file0
-	log_must usr_exec $CHMOD 444 $file0
+	log_must usr_exec touch $file0
+	log_must usr_exec chmod 444 $file0
 
-	log_must usr_exec $RUNAT $file0 $CP $MYTESTFILE attr.0
+	log_must usr_exec runat $file0 cp $MYTESTFILE attr.0
 
-	log_must usr_exec $MKDIR -p $dir0
-	log_must usr_exec $CHMOD 555 $dir0
+	log_must usr_exec mkdir -p $dir0
+	log_must usr_exec chmod 555 $dir0
 
-	log_must usr_exec $RUNAT $dir0 $CP $MYTESTFILE attr.0
+	log_must usr_exec runat $dir0 cp $MYTESTFILE attr.0
 
-	log_must usr_exec $CHMOD 777 $base_node
+	log_must usr_exec chmod 777 $base_node
 	return 0
 }
 
@@ -199,9 +203,9 @@
 	typeset base_node=$1
 
 	if [[ -d $base_node ]]; then
-		log_must $RM -rf $base_node
+		log_must rm -rf $base_node
 	elif [[ -e $base_node ]]; then
-		log_must $RM -f $base_node
+		log_must rm -f $base_node
 	fi
 
 	return 0
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_xattr_002_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_xattr_002_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -48,7 +52,7 @@
 	cleanup_test_files $TESTDIR/basedir
 
 	if [[ -e $TESTDIR/$ARCHIVEFILE ]]; then
-		log_must $RM -f $TESTDIR/$ARCHIVEFILE
+		log_must rm -f $TESTDIR/$ARCHIVEFILE
 	fi
 
 	return 0
@@ -83,11 +87,11 @@
 		log_fail "user, node are not defined."
 	fi
 
-	chgusr_exec $user $RUNAT $node $RM -f attr.0 ; ret=$?
+	chgusr_exec $user runat $node rm -f attr.0 ; ret=$?
 
 	if [[ $ret -eq 0 ]]; then
 		log_must cleanup_test_files $TESTDIR/basedir
-		log_must $TAR xpf@ $TESTDIR/$ARCHIVEFILE
+		log_must tar xpf@ $TESTDIR/$ARCHIVEFILE
 	fi
 
 	return $ret
@@ -144,14 +148,14 @@
 
 	for flag in ${a_flag[@]}; do
 		for acl_t in "${a_access[@]}"; do
-			log_must usr_exec $CHMOD A+$flag:$acl_t $node
+			log_must usr_exec chmod A+$flag:$acl_t $node
 
-			log_must $TAR cpf@ $TESTDIR/$ARCHIVEFILE basedir
+			log_must tar cpf@ $TESTDIR/$ARCHIVEFILE basedir
 
 			check_chmod_results "$node" "$flag" \
 				"$acl_t" "$owner" "$g_usr" "$o_usr"
 
-			log_must usr_exec $CHMOD A0- $node
+			log_must usr_exec chmod A0- $node
 		done
 	done
 }
@@ -164,8 +168,8 @@
 
 	cleanup_test_files $base_node
 
-	log_must $MKDIR -p $base_node
-	log_must $CHOWN $user:$group $base_node
+	log_must mkdir -p $base_node
+	log_must chown $user:$group $base_node
 
 	log_must set_cur_usr $user
 
@@ -175,17 +179,17 @@
 
 	dir0=$base_node/testdir_rm
 
-	log_must usr_exec $TOUCH $file0
-	log_must usr_exec $CHMOD 444 $file0
+	log_must usr_exec touch $file0
+	log_must usr_exec chmod 444 $file0
 
-	log_must usr_exec $RUNAT $file0 $CP $MYTESTFILE attr.0
+	log_must usr_exec runat $file0 cp $MYTESTFILE attr.0
 
-	log_must usr_exec $MKDIR -p $dir0
-	log_must usr_exec $CHMOD 555 $dir0
+	log_must usr_exec mkdir -p $dir0
+	log_must usr_exec chmod 555 $dir0
 
-	log_must usr_exec $RUNAT $dir0 $CP $MYTESTFILE attr.0
+	log_must usr_exec runat $dir0 cp $MYTESTFILE attr.0
 
-	log_must usr_exec $CHMOD 555 $base_node
+	log_must usr_exec chmod 555 $base_node
 	return 0
 }
 
@@ -194,9 +198,9 @@
 	typeset base_node=$1
 
 	if [[ -d $base_node ]]; then
-		log_must $RM -rf $base_node
+		log_must rm -rf $base_node
 	elif [[ -e $base_node ]]; then
-		log_must $RM -f $base_node
+		log_must rm -f $base_node
 	fi
 
 	return 0
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cp_001_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cp_001_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -46,20 +50,20 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$CP [-p]' supports ZFS ACLs."
+log_assert "Verify that 'cp [-p]' supports ZFS ACLs."
 log_onexit cleanup
 
 log_note "Create the second zfs file system: $TESTPOOL/$TESTFS1."
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS1
-log_must $CHMOD 777 $TESTDIR1
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS1
+log_must chmod 777 $TESTDIR1
 
 # Define target directory.
 dstdir=$TESTDIR1/dstdir.$$
@@ -70,15 +74,15 @@
 
 	for obj in $testfile $testdir; do
 		# Create source object and target directroy
-		log_must usr_exec $TOUCH $testfile
-		log_must usr_exec $MKDIR $testdir $dstdir
+		log_must usr_exec touch $testfile
+		log_must usr_exec mkdir $testdir $dstdir
 
 		# Add the new ACE on the head.
-		log_must usr_exec $CHMOD \
+		log_must usr_exec chmod \
 			A0+user:$ZFS_ACL_OTHER1:read_acl:deny $obj
 
-		cmd_str="$CP -p"
-		[[ -d $obj ]] && cmd_str="$CP -rp"
+		cmd_str="cp -p"
+		[[ -d $obj ]] && cmd_str="cp -rp"
 		log_must usr_exec $cmd_str $obj $dstdir
 		log_must usr_exec $cmd_str $obj $TESTDIR1
 
@@ -88,8 +92,8 @@
 		done
 
 		# Delete all the test file and directory
-		log_must usr_exec $RM -rf $TESTDIR/* $TESTDIR1/*
+		log_must usr_exec rm -rf $TESTDIR/* $TESTDIR1/*
 	done
 done
 
-log_pass "'$CP [-p]' succeeds to support ZFS ACLs."
+log_pass "'cp [-p]' succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cp_002_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cp_002_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -47,20 +51,20 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$CP [-p]' supports ZFS ACLs."
+log_assert "Verify that 'cp [-p]' supports ZFS ACLs."
 log_onexit cleanup
 
 log_note "Create the second zfs file system: $TESTPOOL/$TESTFS1."
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS1
-log_must $CHMOD 777 $TESTDIR1
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS1
+log_must chmod 777 $TESTDIR1
 
 # Define target directory.
 dstdir=$TESTDIR1/dstdir.$$
@@ -72,18 +76,18 @@
 
 	for obj in $testfile $testdir; do
 		# Create source object and target directroy
-		log_must usr_exec $TOUCH $testfile
-		log_must usr_exec $MKDIR $testdir $dstdir
+		log_must usr_exec touch $testfile
+		log_must usr_exec mkdir $testdir $dstdir
 
-		log_must usr_exec $RUNAT $testfile $CP $mytestfile attr.0
-		log_must usr_exec $RUNAT $testdir $CP $mytestfile attr.0
+		log_must usr_exec runat $testfile cp $mytestfile attr.0
+		log_must usr_exec runat $testdir cp $mytestfile attr.0
 
 		# Add the new ACE on the head.
-		log_must usr_exec $CHMOD \
+		log_must usr_exec chmod \
 			A0+user:$ZFS_ACL_OTHER1:read_acl:deny $obj
 
-		cmd_str="$CP -p@"
-		[[ -d $obj ]] && cmd_str="$CP -rp@"
+		cmd_str="cp -p@"
+		[[ -d $obj ]] && cmd_str="cp -rp@"
 		log_must usr_exec $cmd_str $obj $dstdir
 		log_must usr_exec $cmd_str $obj $TESTDIR1
 
@@ -94,8 +98,8 @@
 		done
 
 		# Delete all the test file and directory
-		log_must usr_exec $RM -rf $TESTDIR/* $TESTDIR1/*
+		log_must usr_exec rm -rf $TESTDIR/* $TESTDIR1/*
 	done
 done
 
-log_pass "'$CP [-p@]' succeeds to support ZFS ACLs."
+log_pass "'cp [-p@]' succeeds to support ZFS ACLs."
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cpio_001_pos.ksh	Wed Aug 31 16:20:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_cpio_001_pos.ksh	Wed Aug 31 16:20:22 2016
@@ -26,16 +26,21 @@
 #
 # Copyright (c) 2012 by Marcelo Leal. All rights reserved.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
 # DESCRIPTION:
-# Verify that '$CPIO' command with -P option supports to archive ZFS ACLs
+# Verify that 'cpio' command with -P option supports to archive ZFS ACLs
 #
 # STRATEGY:
 # 1. Create file and directory in zfs filesystem
 # 2. Add new ACE in ACL or change mode of file and directory
-# 3. Use $CPIO to archive file and directory
+# 3. Use cpio to archive file and directory
 # 4. Extract the archive file
 # 5. Verify that the restored ACLs of file and directory identify
 #    with the origional ones.
@@ -46,16 +51,16 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
 	if (( ${#orig_dir} != 0 )); then
 		cd $orig_dir
 	fi
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
-log_assert "Verify that '$CPIO' command supports to archive ZFS ACLs."
+log_assert "Verify that 'cpio' command supports to archive ZFS ACLs."
 log_onexit cleanup
 
 set -A ops "A+user:$ZFS_ACL_OTHER1:execute:allow" \
@@ -66,9 +71,9 @@
 	"A1=group:$ZFS_ACL_STAFF_GROUP:write_data:deny"
 
 log_note "Create second zfs file system to restore the cpio archive."
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
-log_must $CHMOD 777 $TESTDIR1
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL/$TESTFS1
+log_must chmod 777 $TESTDIR1
 
 # Define test fine and record the original directory.
 CPIOFILE=cpiofile.$$
@@ -86,25 +91,25 @@
 		log_note "Create file $file and directory $dir " \
 			"in zfs filesystem. "
 		cd $TESTDIR
-		log_must usr_exec $TOUCH $file
-		log_must usr_exec $MKDIR $dir
+		log_must usr_exec touch $file
+		log_must usr_exec mkdir $dir
 
 		log_note "Change the ACLs of file and directory with " \
-			"'$CHMOD ${ops[i]}'."
+			"'chmod ${ops[i]}'."
 		for obj in $file $dir; do
-			log_must usr_exec $CHMOD ${ops[i]} $obj
+			log_must usr_exec chmod ${ops[i]} $obj
 		done
 
 		log_note "Archive the file and directory."
 		cd $TESTDIR
-		log_must eval "usr_exec $LS | " \
-			"usr_exec $CPIO -ocP -O $CPIOFILE > /dev/null 2>&1"
+		log_must eval "usr_exec ls | " \
+			"usr_exec cpio -ocP -O $CPIOFILE > /dev/null 2>&1"
 
 		log_note "Restore the cpio archive."
-		log_must usr_exec $MV $CPIOFILE $TESTDIR1
+		log_must usr_exec mv $CPIOFILE $TESTDIR1
 		cd $TESTDIR1
-		log_must eval "usr_exec $CAT $CPIOFILE | " \
-			"usr_exec $CPIO -icP > /dev/null 2>&1"
+		log_must eval "usr_exec cat $CPIOFILE | " \
+			"usr_exec cpio -icP > /dev/null 2>&1"
 
 		log_note "Verify that the ACLs of restored file/directory " \
 			"have no changes."
@@ -113,10 +118,10 @@
 			log_must compare_acls $TESTDIR/$obj $TESTDIR1/$obj
 		done
 
-		log_must usr_exec $RM -rf $TESTDIR/* $TESTDIR1/*
+		log_must usr_exec rm -rf $TESTDIR/* $TESTDIR1/*
 
 		(( i = i + 1 ))
 	done
 done
 
-log_pass "'$CPIO' command succeeds to support ZFS ACLs."
+log_pass "'cpio' command succeeds to support ZFS ACLs."
